Get all apps
curl --request GET \
--url https://api.example.com/api/app \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/app"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/app', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_name": "<string>",
"created_date": "<unknown>",
"updated_date": "<unknown>",
"app_type": "hand_authored",
"created_by": "<string>",
"updated_by": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}App manager
Get all apps
Returns all apps user has access to, optionally filtered by app type.
- Users with the
nx1_app_managerrole can see all apps. - Users with app-specific roles can see only apps they have access to.
- If a user has no roles to any app, it returns an empty list instead of an error.
GET
/
api
/
app
Get all apps
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Optional app type to filter the results by.
Available options:
hand_authored, notebook_pipeline, inference_service, full_pipeline Response
Apps retrieved successfully.
Unique ID of the app.
Name of the app.
Timestamp when the app was created.
Timestamp when the app was last updated.
Type of application.
Available options:
hand_authored, notebook_pipeline, inference_service, full_pipeline Username of the creator.
Username of the last updater.
Was this page helpful?

